Bug 1195300 - Provide titles/pop-up description for all icon buttons
Summary: Provide titles/pop-up description for all icon buttons
Keywords:
Status: CLOSED EOL
Alias: None
Product: JBoss BRMS Platform 6
Classification: Retired
Component: Business Central
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: DR1
: 6.3.0
Assignee: Jan
QA Contact: Jiri Locker
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-23 14:55 UTC by Zuzana Krejčová
Modified: 2020-03-27 20:05 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-27 20:05:04 UTC
Type: Enhancement


Attachments (Terms of Use)

Description Zuzana Krejčová 2015-02-23 14:55:40 UTC
Description of problem:
The GUI uses many buttons with icons instead of text. Sometimes the meaning of the icon is clear enough, but not always.
It would greatly improve the user experience if all such icon buttons had a title attribute - short (one word) pop-up description of what they mean.
Project Explorer buttons for actions like copy/rename/delete already have that - if you 'mouse over' the A icon in the Project Explorer, you get a small pop-up with 'Rename'. All icon buttons should do that (using the appropriate title of course).


Version-Release number of selected component (if applicable):
6.1

Comment 2 jsoltes 2016-02-19 13:10:19 UTC
Verified on bpm-suite 6.3.0.DR1. One minor issue reported in https://issues.jboss.org/browse/GUVNOR-2429.


Note You need to log in before you can comment on or make changes to this bug.